/*
 * java-gnome, a UI library for writing GTK and GNOME programs from Java!
 *
 * Copyright ? 2006-2012 Operational Dynamics Consulting, Pty Ltd and Others
 *
 * The code in this file, and the program it is a part of, is made available
 * to you by its authors as open source software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version
 * 2 ("GPL") as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GPL for more details.
 *
 * You should have received a copy of the GPL along with this program. If not,
 * see http://www.gnu.org/licenses/. The authors of this program may be
 * contacted through http://java-gnome.sourceforge.net/.
 *
 * Linking this library statically or dynamically with other modules is making
 * a combined work based on this library. Thus, the terms and conditions of
 * the GPL cover the whole combination. As a special exception (the
 * "Classpath Exception"), the copyright holders of this library give you
 * permission to link this library with independent modules to produce an
 * executable, regardless of the license terms of these independent modules,
 * and to copy and distribute the resulting executable under terms of your
 * choice, provided that you also meet, for each linked independent module,
 * the terms and conditions of the license of that module. An independent
 * module is a module which is not derived from or based on this library. If
 * you modify this library, you may extend the Classpath Exception to your
 * version of the library, but you are not obligated to do so. If you do not
 * wish to do so, delete this exception statement from your version.
 */

/*
 * THIS FILE IS GENERATED CODE!
 *
 * To modify its contents or behaviour, either update the generation program,
 * change the information in the source defs file, or implement an override for
 * this class.
 */

#include <jni.h>
#include <gtk/gtk.h>
#include "bindings_java.h"
#include "org_gnome_gdk_GdkDragContext.h"

JNIEXPORT void JNICALL
Java_org_gnome_gdk_GdkDragContext_gdk_1drag_1status
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jint _action,
	jint _time
)
{
	GdkDragContext* self;
	GdkDragAction action;
	guint32 time;

	// convert parameter self
	self = (GdkDragContext*) _self;

	// convert parameter action
	action = (GdkDragAction) _action;

	// convert parameter time
	time = (guint32) _time;

	// call function
	gdk_drag_status(self, action, time);

	// cleanup parameter self

	// cleanup parameter action

	// cleanup parameter time
}

JNIEXPORT void JNICALL
Java_org_gnome_gdk_GdkDragContext_gdk_1drop_1reply
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jboolean _ok,
	jint _time
)
{
	GdkDragContext* self;
	gboolean ok;
	guint32 time;

	// convert parameter self
	self = (GdkDragContext*) _self;

	// convert parameter ok
	ok = (gboolean) _ok;

	// convert parameter time
	time = (guint32) _time;

	// call function
	gdk_drop_reply(self, ok, time);

	// cleanup parameter self

	// cleanup parameter ok

	// cleanup parameter time
}

JNIEXPORT void JNICALL
Java_org_gnome_gdk_GdkDragContext_gdk_1drop_1finish
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jboolean _success,
	jint _time
)
{
	GdkDragContext* self;
	gboolean success;
	guint32 time;

	// convert parameter self
	self = (GdkDragContext*) _self;

	// convert parameter success
	success = (gboolean) _success;

	// convert parameter time
	time = (guint32) _time;

	// call function
	gdk_drop_finish(self, success, time);

	// cleanup parameter self

	// cleanup parameter success

	// cleanup parameter time
}

JNIEXPORT void JNICALL
Java_org_gnome_gdk_GdkDragContext_gdk_1drag_1find_1window_1for_1screen
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jlong _dragWindow,
	jlong _screen,
	jint _xRoot,
	jint _yRoot,
	jlongArray _destWindow,
	jintArray _protocol
)
{
	GdkDragContext* self;
	GdkWindow* dragWindow;
	GdkScreen* screen;
	gint xRoot;
	gint yRoot;
	GdkWindow** destWindow;
	GdkDragProtocol* protocol;

	// convert parameter self
	self = (GdkDragContext*) _self;

	// convert parameter dragWindow
	dragWindow = (GdkWindow*) _dragWindow;

	// convert parameter screen
	screen = (GdkScreen*) _screen;

	// convert parameter xRoot
	xRoot = (gint) _xRoot;

	// convert parameter yRoot
	yRoot = (gint) _yRoot;

	// convert parameter destWindow
	destWindow = (GdkWindow**) bindings_java_convert_jarray_to_gpointer(env, _destWindow);
	if (destWindow == NULL) {
		return; // Java Exception already thrown
	}

	// convert parameter protocol
	protocol = (GdkDragProtocol*) (*env)->GetIntArrayElements(env, _protocol, NULL);
	if (protocol == NULL) {
		return; // Java Exception already thrown
	}

	// call function
	gdk_drag_find_window_for_screen(self, dragWindow, screen, xRoot, yRoot, destWindow, protocol);

	// cleanup parameter self

	// cleanup parameter dragWindow

	// cleanup parameter screen

	// cleanup parameter xRoot

	// cleanup parameter yRoot

	// cleanup parameter destWindow
	bindings_java_convert_gpointer_to_jarray(env, (gpointer*)destWindow, _destWindow);

	// cleanup parameter protocol
	(*env)->ReleaseIntArrayElements(env, _protocol, (jint*)protocol, 0);
}

JNIEXPORT jboolean JNICALL
Java_org_gnome_gdk_GdkDragContext_gdk_1drag_1motion
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jlong _destWindow,
	jint _protocol,
	jint _xRoot,
	jint _yRoot,
	jint _suggestedAction,
	jint _possibleActions,
	jint _time
)
{
	gboolean result;
	jboolean _result;
	GdkDragContext* self;
	GdkWindow* destWindow;
	GdkDragProtocol protocol;
	gint xRoot;
	gint yRoot;
	GdkDragAction suggestedAction;
	GdkDragAction possibleActions;
	guint32 time;

	// convert parameter self
	self = (GdkDragContext*) _self;

	// convert parameter destWindow
	destWindow = (GdkWindow*) _destWindow;

	// convert parameter protocol
	protocol = (GdkDragProtocol) _protocol;

	// convert parameter xRoot
	xRoot = (gint) _xRoot;

	// convert parameter yRoot
	yRoot = (gint) _yRoot;

	// convert parameter suggestedAction
	suggestedAction = (GdkDragAction) _suggestedAction;

	// convert parameter possibleActions
	possibleActions = (GdkDragAction) _possibleActions;

	// convert parameter time
	time = (guint32) _time;

	// call function
	result = gdk_drag_motion(self, destWindow, protocol, xRoot, yRoot, suggestedAction, possibleActions, time);

	// cleanup parameter self

	// cleanup parameter destWindow

	// cleanup parameter protocol

	// cleanup parameter xRoot

	// cleanup parameter yRoot

	// cleanup parameter suggestedAction

	// cleanup parameter possibleActions

	// cleanup parameter time

	// translate return value to JNI type
	_result = (jboolean) result;

	// and finally
	return _result;
}

JNIEXPORT void JNICALL
Java_org_gnome_gdk_GdkDragContext_gdk_1drag_1drop
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jint _time
)
{
	GdkDragContext* self;
	guint32 time;

	// convert parameter self
	self = (GdkDragContext*) _self;

	// convert parameter time
	time = (guint32) _time;

	// call function
	gdk_drag_drop(self, time);

	// cleanup parameter self

	// cleanup parameter time
}

JNIEXPORT void JNICALL
Java_org_gnome_gdk_GdkDragContext_gdk_1drag_1abort
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jint _time
)
{
	GdkDragContext* self;
	guint32 time;

	// convert parameter self
	self = (GdkDragContext*) _self;

	// convert parameter time
	time = (guint32) _time;

	// call function
	gdk_drag_abort(self, time);

	// cleanup parameter self

	// cleanup parameter time
}

JNIEXPORT jboolean JNICALL
Java_org_gnome_gdk_GdkDragContext_gdk_1drag_1drop_1succeeded
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	gboolean result;
	jboolean _result;
	GdkDragContext* self;

	// convert parameter self
	self = (GdkDragContext*) _self;

	// call function
	result = gdk_drag_drop_succeeded(self);

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jboolean) result;

	// and finally
	return _result;
}

JNIEXPORT void JNICALL
Java_org_gnome_gdk_GdkDragContext_gtk_1drag_1finish
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jboolean _success,
	jboolean _del,
	jint _time
)
{
	GdkDragContext* self;
	gboolean success;
	gboolean del;
	guint32 time;

	// convert parameter self
	self = (GdkDragContext*) _self;

	// convert parameter success
	success = (gboolean) _success;

	// convert parameter del
	del = (gboolean) _del;

	// convert parameter time
	time = (guint32) _time;

	// call function
	gtk_drag_finish(self, success, del, time);

	// cleanup parameter self

	// cleanup parameter success

	// cleanup parameter del

	// cleanup parameter time
}

JNIEXPORT jlong JNICALL
Java_org_gnome_gdk_GdkDragContext_gtk_1drag_1get_1source_1widget
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	GtkWidget* result;
	jlong _result;
	GdkDragContext* self;

	// convert parameter self
	self = (GdkDragContext*) _self;

	// call function
	result = gtk_drag_get_source_widget(self);

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jlong) result;

	// cleanup return value
	if (result != NULL) {
		bindings_java_memory_cleanup((GObject*)result, FALSE);
	}

	// and finally
	return _result;
}

JNIEXPORT void JNICALL
Java_org_gnome_gdk_GdkDragContext_gtk_1drag_1set_1icon_1widget
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jlong _widget,
	jint _hotX,
	jint _hotY
)
{
	GdkDragContext* self;
	GtkWidget* widget;
	gint hotX;
	gint hotY;

	// convert parameter self
	self = (GdkDragContext*) _self;

	// convert parameter widget
	widget = (GtkWidget*) _widget;

	// convert parameter hotX
	hotX = (gint) _hotX;

	// convert parameter hotY
	hotY = (gint) _hotY;

	// call function
	gtk_drag_set_icon_widget(self, widget, hotX, hotY);

	// cleanup parameter self

	// cleanup parameter widget

	// cleanup parameter hotX

	// cleanup parameter hotY
}

JNIEXPORT void JNICALL
Java_org_gnome_gdk_GdkDragContext_gtk_1drag_1set_1icon_1pixbuf
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jlong _pixbuf,
	jint _hotX,
	jint _hotY
)
{
	GdkDragContext* self;
	GdkPixbuf* pixbuf;
	gint hotX;
	gint hotY;

	// convert parameter self
	self = (GdkDragContext*) _self;

	// convert parameter pixbuf
	pixbuf = (GdkPixbuf*) _pixbuf;

	// convert parameter hotX
	hotX = (gint) _hotX;

	// convert parameter hotY
	hotY = (gint) _hotY;

	// call function
	gtk_drag_set_icon_pixbuf(self, pixbuf, hotX, hotY);

	// cleanup parameter self

	// cleanup parameter pixbuf

	// cleanup parameter hotX

	// cleanup parameter hotY
}

JNIEXPORT void JNICALL
Java_org_gnome_gdk_GdkDragContext_gtk_1drag_1set_1icon_1stock
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jstring _stockId,
	jint _hotX,
	jint _hotY
)
{
	GdkDragContext* self;
	const gchar* stockId;
	gint hotX;
	gint hotY;

	// convert parameter self
	self = (GdkDragContext*) _self;

	// convert parameter stockId
	stockId = (const gchar*) bindings_java_getString(env, _stockId);
	if (stockId == NULL) {
		return; // Java Exception already thrown
	}

	// convert parameter hotX
	hotX = (gint) _hotX;

	// convert parameter hotY
	hotY = (gint) _hotY;

	// call function
	gtk_drag_set_icon_stock(self, stockId, hotX, hotY);

	// cleanup parameter self

	// cleanup parameter stockId
	bindings_java_releaseString(stockId);

	// cleanup parameter hotX

	// cleanup parameter hotY
}

JNIEXPORT void JNICALL
Java_org_gnome_gdk_GdkDragContext_gtk_1drag_1set_1icon_1default
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	GdkDragContext* self;

	// convert parameter self
	self = (GdkDragContext*) _self;

	// call function
	gtk_drag_set_icon_default(self);

	// cleanup parameter self
}

JNIEXPORT void JNICALL
Java_org_gnome_gdk_GdkDragContext_gtk_1drag_1set_1icon_1name
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jstring _iconName,
	jint _hotX,
	jint _hotY
)
{
	GdkDragContext* self;
	const gchar* iconName;
	gint hotX;
	gint hotY;

	// convert parameter self
	self = (GdkDragContext*) _self;

	// convert parameter iconName
	iconName = (const gchar*) bindings_java_getString(env, _iconName);
	if (iconName == NULL) {
		return; // Java Exception already thrown
	}

	// convert parameter hotX
	hotX = (gint) _hotX;

	// convert parameter hotY
	hotY = (gint) _hotY;

	// call function
	gtk_drag_set_icon_name(self, iconName, hotX, hotY);

	// cleanup parameter self

	// cleanup parameter iconName
	bindings_java_releaseString(iconName);

	// cleanup parameter hotX

	// cleanup parameter hotY
}
