/*
 * java-gnome, a UI library for writing GTK and GNOME programs from Java!
 *
 * Copyright ? 2006-2012 Operational Dynamics Consulting, Pty Ltd and Others
 *
 * The code in this file, and the program it is a part of, is made available
 * to you by its authors as open source software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version
 * 2 ("GPL") as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GPL for more details.
 *
 * You should have received a copy of the GPL along with this program. If not,
 * see http://www.gnu.org/licenses/. The authors of this program may be
 * contacted through http://java-gnome.sourceforge.net/.
 *
 * Linking this library statically or dynamically with other modules is making
 * a combined work based on this library. Thus, the terms and conditions of
 * the GPL cover the whole combination. As a special exception (the
 * "Classpath Exception"), the copyright holders of this library give you
 * permission to link this library with independent modules to produce an
 * executable, regardless of the license terms of these independent modules,
 * and to copy and distribute the resulting executable under terms of your
 * choice, provided that you also meet, for each linked independent module,
 * the terms and conditions of the license of that module. An independent
 * module is a module which is not derived from or based on this library. If
 * you modify this library, you may extend the Classpath Exception to your
 * version of the library, but you are not obligated to do so. If you do not
 * wish to do so, delete this exception statement from your version.
 */

/*
 * THIS FILE IS GENERATED CODE!
 *
 * To modify its contents or behaviour, either update the generation program,
 * change the information in the source defs file, or implement an override for
 * this class.
 */

#include <jni.h>
#include <gtk/gtk.h>
#include "bindings_java.h"
#include "org_gnome_gtk_GtkTextIter.h"

JNIEXPORT jlong JNICALL
Java_org_gnome_gtk_GtkTextIter_gtk_1text_1iter_1get_1buffer
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	GtkTextBuffer* result;
	jlong _result;
	GtkTextIter* self;

	// convert parameter self
	self = (GtkTextIter*) _self;

	// call function
	result = gtk_text_iter_get_buffer(self);

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jlong) result;

	// cleanup return value
	if (result != NULL) {
		bindings_java_memory_cleanup((GObject*)result, FALSE);
	}

	// and finally
	return _result;
}

JNIEXPORT jlong JNICALL
Java_org_gnome_gtk_GtkTextIter_gtk_1text_1iter_1copy
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	GtkTextIter* result;
	jlong _result;
	GtkTextIter* self;

	// convert parameter self
	self = (GtkTextIter*) _self;

	// call function
	result = gtk_text_iter_copy(self);

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jlong) result;

	// and finally
	return _result;
}

JNIEXPORT void JNICALL
Java_org_gnome_gtk_GtkTextIter_gtk_1text_1iter_1free
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	GtkTextIter* self;

	// convert parameter self
	self = (GtkTextIter*) _self;

	// call function
	gtk_text_iter_free(self);

	// cleanup parameter self
}

JNIEXPORT jint JNICALL
Java_org_gnome_gtk_GtkTextIter_gtk_1text_1iter_1get_1offset
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	gint result;
	jint _result;
	GtkTextIter* self;

	// convert parameter self
	self = (GtkTextIter*) _self;

	// call function
	result = gtk_text_iter_get_offset(self);

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jint) result;

	// and finally
	return _result;
}

JNIEXPORT jint JNICALL
Java_org_gnome_gtk_GtkTextIter_gtk_1text_1iter_1get_1line
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	gint result;
	jint _result;
	GtkTextIter* self;

	// convert parameter self
	self = (GtkTextIter*) _self;

	// call function
	result = gtk_text_iter_get_line(self);

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jint) result;

	// and finally
	return _result;
}

JNIEXPORT jint JNICALL
Java_org_gnome_gtk_GtkTextIter_gtk_1text_1iter_1get_1line_1offset
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	gint result;
	jint _result;
	GtkTextIter* self;

	// convert parameter self
	self = (GtkTextIter*) _self;

	// call function
	result = gtk_text_iter_get_line_offset(self);

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jint) result;

	// and finally
	return _result;
}

JNIEXPORT jint JNICALL
Java_org_gnome_gtk_GtkTextIter_gtk_1text_1iter_1get_1line_1index
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	gint result;
	jint _result;
	GtkTextIter* self;

	// convert parameter self
	self = (GtkTextIter*) _self;

	// call function
	result = gtk_text_iter_get_line_index(self);

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jint) result;

	// and finally
	return _result;
}

JNIEXPORT jint JNICALL
Java_org_gnome_gtk_GtkTextIter_gtk_1text_1iter_1get_1visible_1line_1offset
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	gint result;
	jint _result;
	GtkTextIter* self;

	// convert parameter self
	self = (GtkTextIter*) _self;

	// call function
	result = gtk_text_iter_get_visible_line_offset(self);

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jint) result;

	// and finally
	return _result;
}

JNIEXPORT jint JNICALL
Java_org_gnome_gtk_GtkTextIter_gtk_1text_1iter_1get_1visible_1line_1index
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	gint result;
	jint _result;
	GtkTextIter* self;

	// convert parameter self
	self = (GtkTextIter*) _self;

	// call function
	result = gtk_text_iter_get_visible_line_index(self);

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jint) result;

	// and finally
	return _result;
}

JNIEXPORT jint JNICALL
Java_org_gnome_gtk_GtkTextIter_gtk_1text_1iter_1get_1char
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	gunichar result;
	jint _result;
	GtkTextIter* self;

	// convert parameter self
	self = (GtkTextIter*) _self;

	// call function
	result = gtk_text_iter_get_char(self);

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jint) result;

	// and finally
	return _result;
}

JNIEXPORT jstring JNICALL
Java_org_gnome_gtk_GtkTextIter_gtk_1text_1iter_1get_1slice
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jlong _end
)
{
	gchar* result;
	jstring _result;
	GtkTextIter* self;
	const GtkTextIter* end;

	// convert parameter self
	self = (GtkTextIter*) _self;

	// convert parameter end
	end = (const GtkTextIter*) _end;

	// call function
	result = gtk_text_iter_get_slice(self, end);

	// cleanup parameter self

	// cleanup parameter end

	// translate return value to JNI type
	_result = (jstring) bindings_java_newString(env, result);

	// cleanup return value
	if (result != NULL) {
		g_free(result);
	}

	// and finally
	return _result;
}

JNIEXPORT jstring JNICALL
Java_org_gnome_gtk_GtkTextIter_gtk_1text_1iter_1get_1text
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jlong _end
)
{
	gchar* result;
	jstring _result;
	GtkTextIter* self;
	const GtkTextIter* end;

	// convert parameter self
	self = (GtkTextIter*) _self;

	// convert parameter end
	end = (const GtkTextIter*) _end;

	// call function
	result = gtk_text_iter_get_text(self, end);

	// cleanup parameter self

	// cleanup parameter end

	// translate return value to JNI type
	_result = (jstring) bindings_java_newString(env, result);

	// cleanup return value
	if (result != NULL) {
		g_free(result);
	}

	// and finally
	return _result;
}

JNIEXPORT jstring JNICALL
Java_org_gnome_gtk_GtkTextIter_gtk_1text_1iter_1get_1visible_1slice
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jlong _end
)
{
	gchar* result;
	jstring _result;
	GtkTextIter* self;
	const GtkTextIter* end;

	// convert parameter self
	self = (GtkTextIter*) _self;

	// convert parameter end
	end = (const GtkTextIter*) _end;

	// call function
	result = gtk_text_iter_get_visible_slice(self, end);

	// cleanup parameter self

	// cleanup parameter end

	// translate return value to JNI type
	_result = (jstring) bindings_java_newString(env, result);

	// cleanup return value
	if (result != NULL) {
		g_free(result);
	}

	// and finally
	return _result;
}

JNIEXPORT jstring JNICALL
Java_org_gnome_gtk_GtkTextIter_gtk_1text_1iter_1get_1visible_1text
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jlong _end
)
{
	gchar* result;
	jstring _result;
	GtkTextIter* self;
	const GtkTextIter* end;

	// convert parameter self
	self = (GtkTextIter*) _self;

	// convert parameter end
	end = (const GtkTextIter*) _end;

	// call function
	result = gtk_text_iter_get_visible_text(self, end);

	// cleanup parameter self

	// cleanup parameter end

	// translate return value to JNI type
	_result = (jstring) bindings_java_newString(env, result);

	// cleanup return value
	if (result != NULL) {
		g_free(result);
	}

	// and finally
	return _result;
}

JNIEXPORT jlong JNICALL
Java_org_gnome_gtk_GtkTextIter_gtk_1text_1iter_1get_1pixbuf
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	GdkPixbuf* result;
	jlong _result;
	GtkTextIter* self;

	// convert parameter self
	self = (GtkTextIter*) _self;

	// call function
	result = gtk_text_iter_get_pixbuf(self);

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jlong) result;

	// cleanup return value
	if (result != NULL) {
		bindings_java_memory_cleanup((GObject*)result, FALSE);
	}

	// and finally
	return _result;
}

JNIEXPORT jlongArray JNICALL
Java_org_gnome_gtk_GtkTextIter_gtk_1text_1iter_1get_1marks
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	GSList* result;
	jlongArray _result;
	GtkTextIter* self;

	// convert parameter self
	self = (GtkTextIter*) _self;

	// call function
	result = gtk_text_iter_get_marks(self);

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jlongArray) bindings_java_convert_gslist_to_jarray(env, result);

	// and finally
	return _result;
}

JNIEXPORT jlong JNICALL
Java_org_gnome_gtk_GtkTextIter_gtk_1text_1iter_1get_1child_1anchor
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	GtkTextChildAnchor* result;
	jlong _result;
	GtkTextIter* self;

	// convert parameter self
	self = (GtkTextIter*) _self;

	// call function
	result = gtk_text_iter_get_child_anchor(self);

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jlong) result;

	// cleanup return value
	if (result != NULL) {
		bindings_java_memory_cleanup((GObject*)result, FALSE);
	}

	// and finally
	return _result;
}

JNIEXPORT jlongArray JNICALL
Java_org_gnome_gtk_GtkTextIter_gtk_1text_1iter_1get_1toggled_1tags
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jboolean _toggledOn
)
{
	GSList* result;
	jlongArray _result;
	GtkTextIter* self;
	gboolean toggledOn;

	// convert parameter self
	self = (GtkTextIter*) _self;

	// convert parameter toggledOn
	toggledOn = (gboolean) _toggledOn;

	// call function
	result = gtk_text_iter_get_toggled_tags(self, toggledOn);

	// cleanup parameter self

	// cleanup parameter toggledOn

	// translate return value to JNI type
	_result = (jlongArray) bindings_java_convert_gslist_to_jarray(env, result);

	// and finally
	return _result;
}

JNIEXPORT jboolean JNICALL
Java_org_gnome_gtk_GtkTextIter_gtk_1text_1iter_1begins_1tag
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jlong _tag
)
{
	gboolean result;
	jboolean _result;
	GtkTextIter* self;
	GtkTextTag* tag;

	// convert parameter self
	self = (GtkTextIter*) _self;

	// convert parameter tag
	tag = (GtkTextTag*) _tag;

	// call function
	result = gtk_text_iter_begins_tag(self, tag);

	// cleanup parameter self

	// cleanup parameter tag

	// translate return value to JNI type
	_result = (jboolean) result;

	// and finally
	return _result;
}

JNIEXPORT jboolean JNICALL
Java_org_gnome_gtk_GtkTextIter_gtk_1text_1iter_1ends_1tag
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jlong _tag
)
{
	gboolean result;
	jboolean _result;
	GtkTextIter* self;
	GtkTextTag* tag;

	// convert parameter self
	self = (GtkTextIter*) _self;

	// convert parameter tag
	tag = (GtkTextTag*) _tag;

	// call function
	result = gtk_text_iter_ends_tag(self, tag);

	// cleanup parameter self

	// cleanup parameter tag

	// translate return value to JNI type
	_result = (jboolean) result;

	// and finally
	return _result;
}

JNIEXPORT jboolean JNICALL
Java_org_gnome_gtk_GtkTextIter_gtk_1text_1iter_1toggles_1tag
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jlong _tag
)
{
	gboolean result;
	jboolean _result;
	GtkTextIter* self;
	GtkTextTag* tag;

	// convert parameter self
	self = (GtkTextIter*) _self;

	// convert parameter tag
	tag = (GtkTextTag*) _tag;

	// call function
	result = gtk_text_iter_toggles_tag(self, tag);

	// cleanup parameter self

	// cleanup parameter tag

	// translate return value to JNI type
	_result = (jboolean) result;

	// and finally
	return _result;
}

JNIEXPORT jboolean JNICALL
Java_org_gnome_gtk_GtkTextIter_gtk_1text_1iter_1has_1tag
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jlong _tag
)
{
	gboolean result;
	jboolean _result;
	GtkTextIter* self;
	GtkTextTag* tag;

	// convert parameter self
	self = (GtkTextIter*) _self;

	// convert parameter tag
	tag = (GtkTextTag*) _tag;

	// call function
	result = gtk_text_iter_has_tag(self, tag);

	// cleanup parameter self

	// cleanup parameter tag

	// translate return value to JNI type
	_result = (jboolean) result;

	// and finally
	return _result;
}

JNIEXPORT jlongArray JNICALL
Java_org_gnome_gtk_GtkTextIter_gtk_1text_1iter_1get_1tags
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	GSList* result;
	jlongArray _result;
	GtkTextIter* self;

	// convert parameter self
	self = (GtkTextIter*) _self;

	// call function
	result = gtk_text_iter_get_tags(self);

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jlongArray) bindings_java_convert_gslist_to_jarray(env, result);

	// cleanup return value
	if (result != NULL) {
		g_slist_free(result);
	}

	// and finally
	return _result;
}

JNIEXPORT jboolean JNICALL
Java_org_gnome_gtk_GtkTextIter_gtk_1text_1iter_1editable
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jboolean _defaultSetting
)
{
	gboolean result;
	jboolean _result;
	GtkTextIter* self;
	gboolean defaultSetting;

	// convert parameter self
	self = (GtkTextIter*) _self;

	// convert parameter defaultSetting
	defaultSetting = (gboolean) _defaultSetting;

	// call function
	result = gtk_text_iter_editable(self, defaultSetting);

	// cleanup parameter self

	// cleanup parameter defaultSetting

	// translate return value to JNI type
	_result = (jboolean) result;

	// and finally
	return _result;
}

JNIEXPORT jboolean JNICALL
Java_org_gnome_gtk_GtkTextIter_gtk_1text_1iter_1can_1insert
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jboolean _defaultEditability
)
{
	gboolean result;
	jboolean _result;
	GtkTextIter* self;
	gboolean defaultEditability;

	// convert parameter self
	self = (GtkTextIter*) _self;

	// convert parameter defaultEditability
	defaultEditability = (gboolean) _defaultEditability;

	// call function
	result = gtk_text_iter_can_insert(self, defaultEditability);

	// cleanup parameter self

	// cleanup parameter defaultEditability

	// translate return value to JNI type
	_result = (jboolean) result;

	// and finally
	return _result;
}

JNIEXPORT jboolean JNICALL
Java_org_gnome_gtk_GtkTextIter_gtk_1text_1iter_1starts_1word
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	gboolean result;
	jboolean _result;
	GtkTextIter* self;

	// convert parameter self
	self = (GtkTextIter*) _self;

	// call function
	result = gtk_text_iter_starts_word(self);

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jboolean) result;

	// and finally
	return _result;
}

JNIEXPORT jboolean JNICALL
Java_org_gnome_gtk_GtkTextIter_gtk_1text_1iter_1ends_1word
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	gboolean result;
	jboolean _result;
	GtkTextIter* self;

	// convert parameter self
	self = (GtkTextIter*) _self;

	// call function
	result = gtk_text_iter_ends_word(self);

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jboolean) result;

	// and finally
	return _result;
}

JNIEXPORT jboolean JNICALL
Java_org_gnome_gtk_GtkTextIter_gtk_1text_1iter_1inside_1word
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	gboolean result;
	jboolean _result;
	GtkTextIter* self;

	// convert parameter self
	self = (GtkTextIter*) _self;

	// call function
	result = gtk_text_iter_inside_word(self);

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jboolean) result;

	// and finally
	return _result;
}

JNIEXPORT jboolean JNICALL
Java_org_gnome_gtk_GtkTextIter_gtk_1text_1iter_1starts_1sentence
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	gboolean result;
	jboolean _result;
	GtkTextIter* self;

	// convert parameter self
	self = (GtkTextIter*) _self;

	// call function
	result = gtk_text_iter_starts_sentence(self);

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jboolean) result;

	// and finally
	return _result;
}

JNIEXPORT jboolean JNICALL
Java_org_gnome_gtk_GtkTextIter_gtk_1text_1iter_1ends_1sentence
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	gboolean result;
	jboolean _result;
	GtkTextIter* self;

	// convert parameter self
	self = (GtkTextIter*) _self;

	// call function
	result = gtk_text_iter_ends_sentence(self);

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jboolean) result;

	// and finally
	return _result;
}

JNIEXPORT jboolean JNICALL
Java_org_gnome_gtk_GtkTextIter_gtk_1text_1iter_1inside_1sentence
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	gboolean result;
	jboolean _result;
	GtkTextIter* self;

	// convert parameter self
	self = (GtkTextIter*) _self;

	// call function
	result = gtk_text_iter_inside_sentence(self);

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jboolean) result;

	// and finally
	return _result;
}

JNIEXPORT jboolean JNICALL
Java_org_gnome_gtk_GtkTextIter_gtk_1text_1iter_1starts_1line
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	gboolean result;
	jboolean _result;
	GtkTextIter* self;

	// convert parameter self
	self = (GtkTextIter*) _self;

	// call function
	result = gtk_text_iter_starts_line(self);

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jboolean) result;

	// and finally
	return _result;
}

JNIEXPORT jboolean JNICALL
Java_org_gnome_gtk_GtkTextIter_gtk_1text_1iter_1ends_1line
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	gboolean result;
	jboolean _result;
	GtkTextIter* self;

	// convert parameter self
	self = (GtkTextIter*) _self;

	// call function
	result = gtk_text_iter_ends_line(self);

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jboolean) result;

	// and finally
	return _result;
}

JNIEXPORT jboolean JNICALL
Java_org_gnome_gtk_GtkTextIter_gtk_1text_1iter_1is_1cursor_1position
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	gboolean result;
	jboolean _result;
	GtkTextIter* self;

	// convert parameter self
	self = (GtkTextIter*) _self;

	// call function
	result = gtk_text_iter_is_cursor_position(self);

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jboolean) result;

	// and finally
	return _result;
}

JNIEXPORT jint JNICALL
Java_org_gnome_gtk_GtkTextIter_gtk_1text_1iter_1get_1chars_1in_1line
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	gint result;
	jint _result;
	GtkTextIter* self;

	// convert parameter self
	self = (GtkTextIter*) _self;

	// call function
	result = gtk_text_iter_get_chars_in_line(self);

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jint) result;

	// and finally
	return _result;
}

JNIEXPORT jint JNICALL
Java_org_gnome_gtk_GtkTextIter_gtk_1text_1iter_1get_1bytes_1in_1line
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	gint result;
	jint _result;
	GtkTextIter* self;

	// convert parameter self
	self = (GtkTextIter*) _self;

	// call function
	result = gtk_text_iter_get_bytes_in_line(self);

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jint) result;

	// and finally
	return _result;
}

JNIEXPORT jboolean JNICALL
Java_org_gnome_gtk_GtkTextIter_gtk_1text_1iter_1get_1attributes
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jlong _values
)
{
	gboolean result;
	jboolean _result;
	GtkTextIter* self;
	GtkTextAttributes* values;

	// convert parameter self
	self = (GtkTextIter*) _self;

	// convert parameter values
	values = (GtkTextAttributes*) _values;

	// call function
	result = gtk_text_iter_get_attributes(self, values);

	// cleanup parameter self

	// cleanup parameter values

	// translate return value to JNI type
	_result = (jboolean) result;

	// and finally
	return _result;
}

JNIEXPORT jlong JNICALL
Java_org_gnome_gtk_GtkTextIter_gtk_1text_1iter_1get_1language
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	PangoLanguage* result;
	jlong _result;
	GtkTextIter* self;

	// convert parameter self
	self = (GtkTextIter*) _self;

	// call function
	result = gtk_text_iter_get_language(self);

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jlong) result;

	// and finally
	return _result;
}

JNIEXPORT jboolean JNICALL
Java_org_gnome_gtk_GtkTextIter_gtk_1text_1iter_1is_1end
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	gboolean result;
	jboolean _result;
	GtkTextIter* self;

	// convert parameter self
	self = (GtkTextIter*) _self;

	// call function
	result = gtk_text_iter_is_end(self);

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jboolean) result;

	// and finally
	return _result;
}

JNIEXPORT jboolean JNICALL
Java_org_gnome_gtk_GtkTextIter_gtk_1text_1iter_1is_1start
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	gboolean result;
	jboolean _result;
	GtkTextIter* self;

	// convert parameter self
	self = (GtkTextIter*) _self;

	// call function
	result = gtk_text_iter_is_start(self);

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jboolean) result;

	// and finally
	return _result;
}

JNIEXPORT jboolean JNICALL
Java_org_gnome_gtk_GtkTextIter_gtk_1text_1iter_1forward_1char
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	gboolean result;
	jboolean _result;
	GtkTextIter* self;

	// convert parameter self
	self = (GtkTextIter*) _self;

	// call function
	result = gtk_text_iter_forward_char(self);

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jboolean) result;

	// and finally
	return _result;
}

JNIEXPORT jboolean JNICALL
Java_org_gnome_gtk_GtkTextIter_gtk_1text_1iter_1backward_1char
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	gboolean result;
	jboolean _result;
	GtkTextIter* self;

	// convert parameter self
	self = (GtkTextIter*) _self;

	// call function
	result = gtk_text_iter_backward_char(self);

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jboolean) result;

	// and finally
	return _result;
}

JNIEXPORT jboolean JNICALL
Java_org_gnome_gtk_GtkTextIter_gtk_1text_1iter_1forward_1chars
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jint _count
)
{
	gboolean result;
	jboolean _result;
	GtkTextIter* self;
	gint count;

	// convert parameter self
	self = (GtkTextIter*) _self;

	// convert parameter count
	count = (gint) _count;

	// call function
	result = gtk_text_iter_forward_chars(self, count);

	// cleanup parameter self

	// cleanup parameter count

	// translate return value to JNI type
	_result = (jboolean) result;

	// and finally
	return _result;
}

JNIEXPORT jboolean JNICALL
Java_org_gnome_gtk_GtkTextIter_gtk_1text_1iter_1backward_1chars
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jint _count
)
{
	gboolean result;
	jboolean _result;
	GtkTextIter* self;
	gint count;

	// convert parameter self
	self = (GtkTextIter*) _self;

	// convert parameter count
	count = (gint) _count;

	// call function
	result = gtk_text_iter_backward_chars(self, count);

	// cleanup parameter self

	// cleanup parameter count

	// translate return value to JNI type
	_result = (jboolean) result;

	// and finally
	return _result;
}

JNIEXPORT jboolean JNICALL
Java_org_gnome_gtk_GtkTextIter_gtk_1text_1iter_1forward_1line
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	gboolean result;
	jboolean _result;
	GtkTextIter* self;

	// convert parameter self
	self = (GtkTextIter*) _self;

	// call function
	result = gtk_text_iter_forward_line(self);

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jboolean) result;

	// and finally
	return _result;
}

JNIEXPORT jboolean JNICALL
Java_org_gnome_gtk_GtkTextIter_gtk_1text_1iter_1backward_1line
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	gboolean result;
	jboolean _result;
	GtkTextIter* self;

	// convert parameter self
	self = (GtkTextIter*) _self;

	// call function
	result = gtk_text_iter_backward_line(self);

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jboolean) result;

	// and finally
	return _result;
}

JNIEXPORT jboolean JNICALL
Java_org_gnome_gtk_GtkTextIter_gtk_1text_1iter_1forward_1lines
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jint _count
)
{
	gboolean result;
	jboolean _result;
	GtkTextIter* self;
	gint count;

	// convert parameter self
	self = (GtkTextIter*) _self;

	// convert parameter count
	count = (gint) _count;

	// call function
	result = gtk_text_iter_forward_lines(self, count);

	// cleanup parameter self

	// cleanup parameter count

	// translate return value to JNI type
	_result = (jboolean) result;

	// and finally
	return _result;
}

JNIEXPORT jboolean JNICALL
Java_org_gnome_gtk_GtkTextIter_gtk_1text_1iter_1backward_1lines
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jint _count
)
{
	gboolean result;
	jboolean _result;
	GtkTextIter* self;
	gint count;

	// convert parameter self
	self = (GtkTextIter*) _self;

	// convert parameter count
	count = (gint) _count;

	// call function
	result = gtk_text_iter_backward_lines(self, count);

	// cleanup parameter self

	// cleanup parameter count

	// translate return value to JNI type
	_result = (jboolean) result;

	// and finally
	return _result;
}

JNIEXPORT jboolean JNICALL
Java_org_gnome_gtk_GtkTextIter_gtk_1text_1iter_1forward_1word_1end
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	gboolean result;
	jboolean _result;
	GtkTextIter* self;

	// convert parameter self
	self = (GtkTextIter*) _self;

	// call function
	result = gtk_text_iter_forward_word_end(self);

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jboolean) result;

	// and finally
	return _result;
}

JNIEXPORT jboolean JNICALL
Java_org_gnome_gtk_GtkTextIter_gtk_1text_1iter_1backward_1word_1start
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	gboolean result;
	jboolean _result;
	GtkTextIter* self;

	// convert parameter self
	self = (GtkTextIter*) _self;

	// call function
	result = gtk_text_iter_backward_word_start(self);

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jboolean) result;

	// and finally
	return _result;
}

JNIEXPORT jboolean JNICALL
Java_org_gnome_gtk_GtkTextIter_gtk_1text_1iter_1forward_1word_1ends
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jint _count
)
{
	gboolean result;
	jboolean _result;
	GtkTextIter* self;
	gint count;

	// convert parameter self
	self = (GtkTextIter*) _self;

	// convert parameter count
	count = (gint) _count;

	// call function
	result = gtk_text_iter_forward_word_ends(self, count);

	// cleanup parameter self

	// cleanup parameter count

	// translate return value to JNI type
	_result = (jboolean) result;

	// and finally
	return _result;
}

JNIEXPORT jboolean JNICALL
Java_org_gnome_gtk_GtkTextIter_gtk_1text_1iter_1backward_1word_1starts
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jint _count
)
{
	gboolean result;
	jboolean _result;
	GtkTextIter* self;
	gint count;

	// convert parameter self
	self = (GtkTextIter*) _self;

	// convert parameter count
	count = (gint) _count;

	// call function
	result = gtk_text_iter_backward_word_starts(self, count);

	// cleanup parameter self

	// cleanup parameter count

	// translate return value to JNI type
	_result = (jboolean) result;

	// and finally
	return _result;
}

JNIEXPORT jboolean JNICALL
Java_org_gnome_gtk_GtkTextIter_gtk_1text_1iter_1forward_1visible_1line
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	gboolean result;
	jboolean _result;
	GtkTextIter* self;

	// convert parameter self
	self = (GtkTextIter*) _self;

	// call function
	result = gtk_text_iter_forward_visible_line(self);

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jboolean) result;

	// and finally
	return _result;
}

JNIEXPORT jboolean JNICALL
Java_org_gnome_gtk_GtkTextIter_gtk_1text_1iter_1backward_1visible_1line
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	gboolean result;
	jboolean _result;
	GtkTextIter* self;

	// convert parameter self
	self = (GtkTextIter*) _self;

	// call function
	result = gtk_text_iter_backward_visible_line(self);

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jboolean) result;

	// and finally
	return _result;
}

JNIEXPORT jboolean JNICALL
Java_org_gnome_gtk_GtkTextIter_gtk_1text_1iter_1forward_1visible_1lines
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jint _count
)
{
	gboolean result;
	jboolean _result;
	GtkTextIter* self;
	gint count;

	// convert parameter self
	self = (GtkTextIter*) _self;

	// convert parameter count
	count = (gint) _count;

	// call function
	result = gtk_text_iter_forward_visible_lines(self, count);

	// cleanup parameter self

	// cleanup parameter count

	// translate return value to JNI type
	_result = (jboolean) result;

	// and finally
	return _result;
}

JNIEXPORT jboolean JNICALL
Java_org_gnome_gtk_GtkTextIter_gtk_1text_1iter_1backward_1visible_1lines
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jint _count
)
{
	gboolean result;
	jboolean _result;
	GtkTextIter* self;
	gint count;

	// convert parameter self
	self = (GtkTextIter*) _self;

	// convert parameter count
	count = (gint) _count;

	// call function
	result = gtk_text_iter_backward_visible_lines(self, count);

	// cleanup parameter self

	// cleanup parameter count

	// translate return value to JNI type
	_result = (jboolean) result;

	// and finally
	return _result;
}

JNIEXPORT jboolean JNICALL
Java_org_gnome_gtk_GtkTextIter_gtk_1text_1iter_1forward_1visible_1word_1end
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	gboolean result;
	jboolean _result;
	GtkTextIter* self;

	// convert parameter self
	self = (GtkTextIter*) _self;

	// call function
	result = gtk_text_iter_forward_visible_word_end(self);

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jboolean) result;

	// and finally
	return _result;
}

JNIEXPORT jboolean JNICALL
Java_org_gnome_gtk_GtkTextIter_gtk_1text_1iter_1backward_1visible_1word_1start
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	gboolean result;
	jboolean _result;
	GtkTextIter* self;

	// convert parameter self
	self = (GtkTextIter*) _self;

	// call function
	result = gtk_text_iter_backward_visible_word_start(self);

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jboolean) result;

	// and finally
	return _result;
}

JNIEXPORT jboolean JNICALL
Java_org_gnome_gtk_GtkTextIter_gtk_1text_1iter_1forward_1visible_1word_1ends
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jint _count
)
{
	gboolean result;
	jboolean _result;
	GtkTextIter* self;
	gint count;

	// convert parameter self
	self = (GtkTextIter*) _self;

	// convert parameter count
	count = (gint) _count;

	// call function
	result = gtk_text_iter_forward_visible_word_ends(self, count);

	// cleanup parameter self

	// cleanup parameter count

	// translate return value to JNI type
	_result = (jboolean) result;

	// and finally
	return _result;
}

JNIEXPORT jboolean JNICALL
Java_org_gnome_gtk_GtkTextIter_gtk_1text_1iter_1backward_1visible_1word_1starts
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jint _count
)
{
	gboolean result;
	jboolean _result;
	GtkTextIter* self;
	gint count;

	// convert parameter self
	self = (GtkTextIter*) _self;

	// convert parameter count
	count = (gint) _count;

	// call function
	result = gtk_text_iter_backward_visible_word_starts(self, count);

	// cleanup parameter self

	// cleanup parameter count

	// translate return value to JNI type
	_result = (jboolean) result;

	// and finally
	return _result;
}

JNIEXPORT jboolean JNICALL
Java_org_gnome_gtk_GtkTextIter_gtk_1text_1iter_1forward_1sentence_1end
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	gboolean result;
	jboolean _result;
	GtkTextIter* self;

	// convert parameter self
	self = (GtkTextIter*) _self;

	// call function
	result = gtk_text_iter_forward_sentence_end(self);

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jboolean) result;

	// and finally
	return _result;
}

JNIEXPORT jboolean JNICALL
Java_org_gnome_gtk_GtkTextIter_gtk_1text_1iter_1backward_1sentence_1start
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	gboolean result;
	jboolean _result;
	GtkTextIter* self;

	// convert parameter self
	self = (GtkTextIter*) _self;

	// call function
	result = gtk_text_iter_backward_sentence_start(self);

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jboolean) result;

	// and finally
	return _result;
}

JNIEXPORT jboolean JNICALL
Java_org_gnome_gtk_GtkTextIter_gtk_1text_1iter_1forward_1sentence_1ends
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jint _count
)
{
	gboolean result;
	jboolean _result;
	GtkTextIter* self;
	gint count;

	// convert parameter self
	self = (GtkTextIter*) _self;

	// convert parameter count
	count = (gint) _count;

	// call function
	result = gtk_text_iter_forward_sentence_ends(self, count);

	// cleanup parameter self

	// cleanup parameter count

	// translate return value to JNI type
	_result = (jboolean) result;

	// and finally
	return _result;
}

JNIEXPORT jboolean JNICALL
Java_org_gnome_gtk_GtkTextIter_gtk_1text_1iter_1backward_1sentence_1starts
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jint _count
)
{
	gboolean result;
	jboolean _result;
	GtkTextIter* self;
	gint count;

	// convert parameter self
	self = (GtkTextIter*) _self;

	// convert parameter count
	count = (gint) _count;

	// call function
	result = gtk_text_iter_backward_sentence_starts(self, count);

	// cleanup parameter self

	// cleanup parameter count

	// translate return value to JNI type
	_result = (jboolean) result;

	// and finally
	return _result;
}

JNIEXPORT jboolean JNICALL
Java_org_gnome_gtk_GtkTextIter_gtk_1text_1iter_1forward_1cursor_1position
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	gboolean result;
	jboolean _result;
	GtkTextIter* self;

	// convert parameter self
	self = (GtkTextIter*) _self;

	// call function
	result = gtk_text_iter_forward_cursor_position(self);

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jboolean) result;

	// and finally
	return _result;
}

JNIEXPORT jboolean JNICALL
Java_org_gnome_gtk_GtkTextIter_gtk_1text_1iter_1backward_1cursor_1position
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	gboolean result;
	jboolean _result;
	GtkTextIter* self;

	// convert parameter self
	self = (GtkTextIter*) _self;

	// call function
	result = gtk_text_iter_backward_cursor_position(self);

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jboolean) result;

	// and finally
	return _result;
}

JNIEXPORT jboolean JNICALL
Java_org_gnome_gtk_GtkTextIter_gtk_1text_1iter_1forward_1cursor_1positions
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jint _count
)
{
	gboolean result;
	jboolean _result;
	GtkTextIter* self;
	gint count;

	// convert parameter self
	self = (GtkTextIter*) _self;

	// convert parameter count
	count = (gint) _count;

	// call function
	result = gtk_text_iter_forward_cursor_positions(self, count);

	// cleanup parameter self

	// cleanup parameter count

	// translate return value to JNI type
	_result = (jboolean) result;

	// and finally
	return _result;
}

JNIEXPORT jboolean JNICALL
Java_org_gnome_gtk_GtkTextIter_gtk_1text_1iter_1backward_1cursor_1positions
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jint _count
)
{
	gboolean result;
	jboolean _result;
	GtkTextIter* self;
	gint count;

	// convert parameter self
	self = (GtkTextIter*) _self;

	// convert parameter count
	count = (gint) _count;

	// call function
	result = gtk_text_iter_backward_cursor_positions(self, count);

	// cleanup parameter self

	// cleanup parameter count

	// translate return value to JNI type
	_result = (jboolean) result;

	// and finally
	return _result;
}

JNIEXPORT jboolean JNICALL
Java_org_gnome_gtk_GtkTextIter_gtk_1text_1iter_1forward_1visible_1cursor_1position
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	gboolean result;
	jboolean _result;
	GtkTextIter* self;

	// convert parameter self
	self = (GtkTextIter*) _self;

	// call function
	result = gtk_text_iter_forward_visible_cursor_position(self);

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jboolean) result;

	// and finally
	return _result;
}

JNIEXPORT jboolean JNICALL
Java_org_gnome_gtk_GtkTextIter_gtk_1text_1iter_1backward_1visible_1cursor_1position
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	gboolean result;
	jboolean _result;
	GtkTextIter* self;

	// convert parameter self
	self = (GtkTextIter*) _self;

	// call function
	result = gtk_text_iter_backward_visible_cursor_position(self);

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jboolean) result;

	// and finally
	return _result;
}

JNIEXPORT jboolean JNICALL
Java_org_gnome_gtk_GtkTextIter_gtk_1text_1iter_1forward_1visible_1cursor_1positions
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jint _count
)
{
	gboolean result;
	jboolean _result;
	GtkTextIter* self;
	gint count;

	// convert parameter self
	self = (GtkTextIter*) _self;

	// convert parameter count
	count = (gint) _count;

	// call function
	result = gtk_text_iter_forward_visible_cursor_positions(self, count);

	// cleanup parameter self

	// cleanup parameter count

	// translate return value to JNI type
	_result = (jboolean) result;

	// and finally
	return _result;
}

JNIEXPORT jboolean JNICALL
Java_org_gnome_gtk_GtkTextIter_gtk_1text_1iter_1backward_1visible_1cursor_1positions
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jint _count
)
{
	gboolean result;
	jboolean _result;
	GtkTextIter* self;
	gint count;

	// convert parameter self
	self = (GtkTextIter*) _self;

	// convert parameter count
	count = (gint) _count;

	// call function
	result = gtk_text_iter_backward_visible_cursor_positions(self, count);

	// cleanup parameter self

	// cleanup parameter count

	// translate return value to JNI type
	_result = (jboolean) result;

	// and finally
	return _result;
}

JNIEXPORT void JNICALL
Java_org_gnome_gtk_GtkTextIter_gtk_1text_1iter_1set_1offset
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jint _charOffset
)
{
	GtkTextIter* self;
	gint charOffset;

	// convert parameter self
	self = (GtkTextIter*) _self;

	// convert parameter charOffset
	charOffset = (gint) _charOffset;

	// call function
	gtk_text_iter_set_offset(self, charOffset);

	// cleanup parameter self

	// cleanup parameter charOffset
}

JNIEXPORT void JNICALL
Java_org_gnome_gtk_GtkTextIter_gtk_1text_1iter_1set_1line
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jint _lineNumber
)
{
	GtkTextIter* self;
	gint lineNumber;

	// convert parameter self
	self = (GtkTextIter*) _self;

	// convert parameter lineNumber
	lineNumber = (gint) _lineNumber;

	// call function
	gtk_text_iter_set_line(self, lineNumber);

	// cleanup parameter self

	// cleanup parameter lineNumber
}

JNIEXPORT void JNICALL
Java_org_gnome_gtk_GtkTextIter_gtk_1text_1iter_1set_1line_1offset
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jint _charOnLine
)
{
	GtkTextIter* self;
	gint charOnLine;

	// convert parameter self
	self = (GtkTextIter*) _self;

	// convert parameter charOnLine
	charOnLine = (gint) _charOnLine;

	// call function
	gtk_text_iter_set_line_offset(self, charOnLine);

	// cleanup parameter self

	// cleanup parameter charOnLine
}

JNIEXPORT void JNICALL
Java_org_gnome_gtk_GtkTextIter_gtk_1text_1iter_1set_1line_1index
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jint _byteOnLine
)
{
	GtkTextIter* self;
	gint byteOnLine;

	// convert parameter self
	self = (GtkTextIter*) _self;

	// convert parameter byteOnLine
	byteOnLine = (gint) _byteOnLine;

	// call function
	gtk_text_iter_set_line_index(self, byteOnLine);

	// cleanup parameter self

	// cleanup parameter byteOnLine
}

JNIEXPORT void JNICALL
Java_org_gnome_gtk_GtkTextIter_gtk_1text_1iter_1forward_1to_1end
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	GtkTextIter* self;

	// convert parameter self
	self = (GtkTextIter*) _self;

	// call function
	gtk_text_iter_forward_to_end(self);

	// cleanup parameter self
}

JNIEXPORT jboolean JNICALL
Java_org_gnome_gtk_GtkTextIter_gtk_1text_1iter_1forward_1to_1line_1end
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	gboolean result;
	jboolean _result;
	GtkTextIter* self;

	// convert parameter self
	self = (GtkTextIter*) _self;

	// call function
	result = gtk_text_iter_forward_to_line_end(self);

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jboolean) result;

	// and finally
	return _result;
}

JNIEXPORT void JNICALL
Java_org_gnome_gtk_GtkTextIter_gtk_1text_1iter_1set_1visible_1line_1offset
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jint _charOnLine
)
{
	GtkTextIter* self;
	gint charOnLine;

	// convert parameter self
	self = (GtkTextIter*) _self;

	// convert parameter charOnLine
	charOnLine = (gint) _charOnLine;

	// call function
	gtk_text_iter_set_visible_line_offset(self, charOnLine);

	// cleanup parameter self

	// cleanup parameter charOnLine
}

JNIEXPORT void JNICALL
Java_org_gnome_gtk_GtkTextIter_gtk_1text_1iter_1set_1visible_1line_1index
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jint _byteOnLine
)
{
	GtkTextIter* self;
	gint byteOnLine;

	// convert parameter self
	self = (GtkTextIter*) _self;

	// convert parameter byteOnLine
	byteOnLine = (gint) _byteOnLine;

	// call function
	gtk_text_iter_set_visible_line_index(self, byteOnLine);

	// cleanup parameter self

	// cleanup parameter byteOnLine
}

JNIEXPORT jboolean JNICALL
Java_org_gnome_gtk_GtkTextIter_gtk_1text_1iter_1forward_1to_1tag_1toggle
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jlong _tag
)
{
	gboolean result;
	jboolean _result;
	GtkTextIter* self;
	GtkTextTag* tag;

	// convert parameter self
	self = (GtkTextIter*) _self;

	// convert parameter tag
	tag = (GtkTextTag*) _tag;

	// call function
	result = gtk_text_iter_forward_to_tag_toggle(self, tag);

	// cleanup parameter self

	// cleanup parameter tag

	// translate return value to JNI type
	_result = (jboolean) result;

	// and finally
	return _result;
}

JNIEXPORT jboolean JNICALL
Java_org_gnome_gtk_GtkTextIter_gtk_1text_1iter_1backward_1to_1tag_1toggle
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jlong _tag
)
{
	gboolean result;
	jboolean _result;
	GtkTextIter* self;
	GtkTextTag* tag;

	// convert parameter self
	self = (GtkTextIter*) _self;

	// convert parameter tag
	tag = (GtkTextTag*) _tag;

	// call function
	result = gtk_text_iter_backward_to_tag_toggle(self, tag);

	// cleanup parameter self

	// cleanup parameter tag

	// translate return value to JNI type
	_result = (jboolean) result;

	// and finally
	return _result;
}

JNIEXPORT jboolean JNICALL
Java_org_gnome_gtk_GtkTextIter_gtk_1text_1iter_1forward_1search
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jstring _str,
	jint _flags,
	jlong _matchStart,
	jlong _matchEnd,
	jlong _limit
)
{
	gboolean result;
	jboolean _result;
	GtkTextIter* self;
	const gchar* str;
	GtkTextSearchFlags flags;
	GtkTextIter* matchStart;
	GtkTextIter* matchEnd;
	const GtkTextIter* limit;

	// convert parameter self
	self = (GtkTextIter*) _self;

	// convert parameter str
	str = (const gchar*) bindings_java_getString(env, _str);
	if (str == NULL) {
		return  JNI_FALSE; // Java Exception already thrown
	}

	// convert parameter flags
	flags = (GtkTextSearchFlags) _flags;

	// convert parameter matchStart
	matchStart = (GtkTextIter*) _matchStart;

	// convert parameter matchEnd
	matchEnd = (GtkTextIter*) _matchEnd;

	// convert parameter limit
	limit = (const GtkTextIter*) _limit;

	// call function
	result = gtk_text_iter_forward_search(self, str, flags, matchStart, matchEnd, limit);

	// cleanup parameter self

	// cleanup parameter str
	bindings_java_releaseString(str);

	// cleanup parameter flags

	// cleanup parameter matchStart

	// cleanup parameter matchEnd

	// cleanup parameter limit

	// translate return value to JNI type
	_result = (jboolean) result;

	// and finally
	return _result;
}

JNIEXPORT jboolean JNICALL
Java_org_gnome_gtk_GtkTextIter_gtk_1text_1iter_1backward_1search
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jstring _str,
	jint _flags,
	jlong _matchStart,
	jlong _matchEnd,
	jlong _limit
)
{
	gboolean result;
	jboolean _result;
	GtkTextIter* self;
	const gchar* str;
	GtkTextSearchFlags flags;
	GtkTextIter* matchStart;
	GtkTextIter* matchEnd;
	const GtkTextIter* limit;

	// convert parameter self
	self = (GtkTextIter*) _self;

	// convert parameter str
	str = (const gchar*) bindings_java_getString(env, _str);
	if (str == NULL) {
		return  JNI_FALSE; // Java Exception already thrown
	}

	// convert parameter flags
	flags = (GtkTextSearchFlags) _flags;

	// convert parameter matchStart
	matchStart = (GtkTextIter*) _matchStart;

	// convert parameter matchEnd
	matchEnd = (GtkTextIter*) _matchEnd;

	// convert parameter limit
	limit = (const GtkTextIter*) _limit;

	// call function
	result = gtk_text_iter_backward_search(self, str, flags, matchStart, matchEnd, limit);

	// cleanup parameter self

	// cleanup parameter str
	bindings_java_releaseString(str);

	// cleanup parameter flags

	// cleanup parameter matchStart

	// cleanup parameter matchEnd

	// cleanup parameter limit

	// translate return value to JNI type
	_result = (jboolean) result;

	// and finally
	return _result;
}

JNIEXPORT jboolean JNICALL
Java_org_gnome_gtk_GtkTextIter_gtk_1text_1iter_1equal
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jlong _rhs
)
{
	gboolean result;
	jboolean _result;
	GtkTextIter* self;
	const GtkTextIter* rhs;

	// convert parameter self
	self = (GtkTextIter*) _self;

	// convert parameter rhs
	rhs = (const GtkTextIter*) _rhs;

	// call function
	result = gtk_text_iter_equal(self, rhs);

	// cleanup parameter self

	// cleanup parameter rhs

	// translate return value to JNI type
	_result = (jboolean) result;

	// and finally
	return _result;
}

JNIEXPORT jint JNICALL
Java_org_gnome_gtk_GtkTextIter_gtk_1text_1iter_1compare
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jlong _rhs
)
{
	gint result;
	jint _result;
	GtkTextIter* self;
	const GtkTextIter* rhs;

	// convert parameter self
	self = (GtkTextIter*) _self;

	// convert parameter rhs
	rhs = (const GtkTextIter*) _rhs;

	// call function
	result = gtk_text_iter_compare(self, rhs);

	// cleanup parameter self

	// cleanup parameter rhs

	// translate return value to JNI type
	_result = (jint) result;

	// and finally
	return _result;
}

JNIEXPORT jboolean JNICALL
Java_org_gnome_gtk_GtkTextIter_gtk_1text_1iter_1in_1range
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jlong _start,
	jlong _end
)
{
	gboolean result;
	jboolean _result;
	GtkTextIter* self;
	const GtkTextIter* start;
	const GtkTextIter* end;

	// convert parameter self
	self = (GtkTextIter*) _self;

	// convert parameter start
	start = (const GtkTextIter*) _start;

	// convert parameter end
	end = (const GtkTextIter*) _end;

	// call function
	result = gtk_text_iter_in_range(self, start, end);

	// cleanup parameter self

	// cleanup parameter start

	// cleanup parameter end

	// translate return value to JNI type
	_result = (jboolean) result;

	// and finally
	return _result;
}

JNIEXPORT void JNICALL
Java_org_gnome_gtk_GtkTextIter_gtk_1text_1iter_1order
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jlong _second
)
{
	GtkTextIter* self;
	GtkTextIter* second;

	// convert parameter self
	self = (GtkTextIter*) _self;

	// convert parameter second
	second = (GtkTextIter*) _second;

	// call function
	gtk_text_iter_order(self, second);

	// cleanup parameter self

	// cleanup parameter second
}
